RDKit: RDKit::HasPropWithValueQuery< TargetPtr, std::string > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::HasPropWithValueQuery< TargetPtr, std::string > Class Template Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::HasPropWithValueQuery< TargetPtr, std::string >:

## Public Member Functions
| HasPropWithValueQuery ()
| HasPropWithValueQuery (std::string prop, std::string v, const double=0.0)
PairHolder | getPair () const override
double | getTolerance () const override
bool | Match (const TargetPtr what) const override
| returns whether or not we match the argument
Queries::Query< int, TargetPtr, true > * | copy () const override
| returns a copy of this query
| HasPropWithValueQuery ()
| HasPropWithValueQuery (std::string prop, const std::string &v, const std::string &tol=0.0)
PairHolder | getPair () const override
double | getTolerance () const override
bool | Match (const TargetPtr what) const override
| returns whether or not we match the argument
Queries::Query< int, TargetPtr, true > * | copy () const override
| returns a copy of this query
Public Member Functions inherited from RDKit::HasPropWithValueQueryBase
| HasPropWithValueQueryBase ()=default
virtual | ~HasPropWithValueQueryBase ()=default
Public Member Functions inherited from Queries::EqualityQuery< int, TargetPtr, true >
| EqualityQuery ()
| EqualityQuery (int v)
| constructs with our target value
| EqualityQuery (int v, int t)
| constructs with our target value and a tolerance
void | setVal (int what)
| sets our target value
const int | getVal () const
| returns our target value
void | setTol (int what)
| sets our tolerance
const int | getTol () const
| returns out tolerance
std::string | getFullDescription () const override
| returns a fuller text description
Public Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated
bool | getNegation () const
| returns whether or not we are negated
void | setDescription (const std::string &descr)
| sets our text description
void | setDescription (const char *descr)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
const std::string & | getDescription () const
| returns our text description
void | setTypeLabel (const std::string &typ)
| sets our type label
void | setTypeLabel (const char *typ)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
const std::string & | getTypeLabel () const
| returns our text label.
void | setMatchFunc (bool(*what)(int))
| sets our match function
void | setDataFunc (int(*what)(TargetPtr))
| sets our data function
void | addChild (CHILD_TYPE child)
| adds a child to our list of children
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector

## Additional Inherited Members
Public Types inherited from Queries::Query< int, TargetPtr, needsConversion >
using | CHILD_TYPE
using | CHILD_VECT
using | CHILD_VECT_I
using | CHILD_VECT_CI
using | MATCH_FUNC_ARG_TYPE
using | DATA_FUNC_ARG_TYPE
Public Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
bool(*)(int) | getMatchFunc () const
| returns our match function:
int(*)(TargetPtr) | getDataFunc () const
| returns our data function:
int(* | d_dataFunc )(TargetPtr)
int(* | d_dataFuncSameType )(int)
Protected Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
int | TypeConvert (int what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what`
int | TypeConvert (TargetPtr what, Int2Type< true >) const
Protected Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
int | d_val
int | d_tol
std::string | d_description
std::string | d_queryType
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(int)
union { |
MatchFuncArgType(* d_dataFunc )(DataFuncArgType) |
MatchFuncArgType(* d_dataFuncSameType )(MatchFuncArgType) |
}; |  |

## Detailed Description

template<class TargetPtr>
class RDKit::HasPropWithValueQuery< TargetPtr, std::string >

Definition at line 950 of file QueryOps.h.

## Constructor & Destructor Documentation

## ◆ HasPropWithValueQuery() [1/4]

template<class TargetPtr>

RDKit::HasPropWithValueQuery< TargetPtr, std::string >::HasPropWithValueQuery | ( |  | ) |
| inline

Definition at line 957 of file QueryOps.h.

References Queries::EqualityQuery< int, TargetPtr, true >::EqualityQuery(), Queries::Query< int, TargetPtr, needsConversion >::setDataFunc(), and Queries::Query< int, TargetPtr, needsConversion >::setDescription().

Referenced by copy().

## ◆ HasPropWithValueQuery() [2/4]

template<class TargetPtr>

RDKit::HasPropWithValueQuery< TargetPtr, std::string >::HasPropWithValueQuery | ( | std::string | prop,
|  | std::string | v,
|  | const double | = 0.0 )
| inlineexplicit

Definition at line 963 of file QueryOps.h.

References Queries::EqualityQuery< int, TargetPtr, true >::EqualityQuery(), Queries::Query< int, TargetPtr, needsConversion >::setDataFunc(), and Queries::Query< int, TargetPtr, needsConversion >::setDescription().

## ◆ HasPropWithValueQuery() [3/4]

RDKit::HasPropWithValueQuery< TargetPtr, std::string >::HasPropWithValueQuery | ( |  | ) |
| inline

Definition at line 882 of file QueryOps.h.

## ◆ HasPropWithValueQuery() [4/4]

RDKit::HasPropWithValueQuery< TargetPtr, std::string >::HasPropWithValueQuery | ( | std::string | prop,
|  | const std::string & | v,
|  | const std::string & | tol = 0.0 )
| inlineexplicit

Definition at line 895 of file QueryOps.h.

## Member Function Documentation

## ◆ copy() [1/2]

Queries::Query< int, TargetPtr, true > * RDKit::HasPropWithValueQuery< TargetPtr, std::string >::copy | ( |  | ) | const
| inlineoverridevirtual

returns a copy of this query

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 940 of file QueryOps.h.

## ◆ copy() [2/2]

template<class TargetPtr>

Queries::Query< int, TargetPtr, true > * RDKit::HasPropWithValueQuery< TargetPtr, std::string >::copy | ( |  | ) | const
| inlineoverridevirtual

returns a copy of this query

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 1012 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< int, TargetPtr, needsConversion >::d_description, Queries::Query< int, TargetPtr, needsConversion >::getNegation(), HasPropWithValueQuery(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation().

## ◆ getPair() [1/2]

PairHolder RDKit::HasPropWithValueQuery< TargetPtr, std::string >::getPair | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::HasPropWithValueQueryBase.

Definition at line 889 of file QueryOps.h.

## ◆ getPair() [2/2]

template<class TargetPtr>

PairHolder RDKit::HasPropWithValueQuery< TargetPtr, std::string >::getPair | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::HasPropWithValueQueryBase.

Definition at line 973 of file QueryOps.h.

## ◆ getTolerance() [1/2]

double RDKit::HasPropWithValueQuery< TargetPtr, std::string >::getTolerance | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::HasPropWithValueQueryBase.

Definition at line 893 of file QueryOps.h.

## ◆ getTolerance() [2/2]

template<class TargetPtr>

double RDKit::HasPropWithValueQuery< TargetPtr, std::string >::getTolerance | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::HasPropWithValueQueryBase.

Definition at line 977 of file QueryOps.h.

## ◆ Match() [1/2]

bool RDKit::HasPropWithValueQuery< TargetPtr, std::string >::Match | ( | const TargetPtr | what | ) | const
| inlineoverridevirtual

returns whether or not we match the argument

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 906 of file QueryOps.h.

## ◆ Match() [2/2]

template<class TargetPtr>

bool RDKit::HasPropWithValueQuery< TargetPtr, std::string >::Match | ( | const TargetPtr | arg | ) | const
| inlineoverridevirtual

returns whether or not we match the argument

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 979 of file QueryOps.h.

References Queries::Query< int, TargetPtr, needsConversion >::getNegation().

The documentation for this class was generated from the following file:

- QueryOps.h